This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014292 - Cancelling the confirmation dialog causes that buttons become inactive.
Cancelling the confirmation dialog causes that buttons become inactive.
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity low
: ER04
: JON 3.2.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 12:27 EDT by jvlasak
Modified: 2014-01-02 15:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Result of canceling the confirmation dialog. (84.86 KB, image/png)
2013-10-01 12:27 EDT, jvlasak
no flags Details

  None (edit)
Description jvlasak 2013-10-01 12:27:38 EDT
Created attachment 806084 [details]
Result of canceling the confirmation dialog.

Description of problem:
Cancelling the confirmation dialog causes that buttons become inactive on any web page. To make the buttons active the page must be reloaded or it must be clicked on other table item you are working with.


Version-Release number of selected component (if applicable):
Version: 3.2.0.ER2
Build Number: 9bf6f76:371eac0

How reproducible:
always

Steps to Reproduce:
1. Display any confirmation dialog eg. click on Inventory, then click on Servers under Resources and select row with JVM.
2. Click on Uninventory button.
3. Cancel the displayd confirmation dialog.

Actual results:
All buttons on the page become inactive.

Expected results:
Buttons on the page are active.


Additional info:
Comment 1 Mike Thompson 2013-10-01 17:43:12 EDT
The buttons now refresh properly when cancelling a confirmation box for a grid.

There is actually a third state being returned for a BooleanCallback(confirm). When the close [x] is hit the confirm actually returns null and that case was not being handled. This is actually a global error for any grids using Table.java which should be almost everything.


Committed to master with commit id: 3a81b7b
Comment 2 Jeeva Kandasamy 2013-10-16 08:07:59 EDT
Version:
JBoss Operations Network
Version: 3.2.0.ER3
Build Number: c0742ed:cbad264
GWT Version: 2.5.0
SmartGWT Version: 3.0

Browser: Firefox ESR 17.0.7

When I press "No" or [X] icon, buttons are active.

Note You need to log in before you can comment on or make changes to this bug.